/*
 * THIS IS AN AUTOGENERATED FILE! DO NOT MODIFY!
 */

#include <private/android_filesystem_config.h>


/*struct android_id_info {
    const char name[13];
    unsigned aid;
};*/

static const struct android_id_info android_ids[] = {
    { "root", AID_ROOT },
    { "system", AID_SYSTEM },
    { "radio", AID_RADIO },
    { "bluetooth", AID_BLUETOOTH },
    { "graphics", AID_GRAPHICS },
    { "input", AID_INPUT },
    { "audio", AID_AUDIO },
    { "camera", AID_CAMERA },
    { "log", AID_LOG },
    { "compass", AID_COMPASS },
    { "mount", AID_MOUNT },
    { "wifi", AID_WIFI },
    { "adb", AID_ADB },
    { "install", AID_INSTALL },
    { "media", AID_MEDIA },
    { "dhcp", AID_DHCP },
    { "sdcard_rw", AID_SDCARD_RW },
    { "vpn", AID_VPN },
    { "keystore", AID_KEYSTORE },
    { "usb", AID_USB },
    { "drm", AID_DRM },
    { "mdnsr", AID_MDNSR },
    { "gps", AID_GPS },
    { "media_rw", AID_MEDIA_RW },
    { "mtp", AID_MTP },
    { "drmrpc", AID_DRMRPC },
    { "nfc", AID_NFC },
    { "sdcard_r", AID_SDCARD_R },
    { "clat", AID_CLAT },
    { "loop_radio", AID_LOOP_RADIO },
    { "mediadrm", AID_MEDIA_DRM },
    { "package_info", AID_PACKAGE_INFO },
    { "sdcard_pics", AID_SDCARD_PICS },
    { "sdcard_av", AID_SDCARD_AV },
    { "sdcard_all", AID_SDCARD_ALL },
    { "shell", AID_SHELL },
    { "cache", AID_CACHE },
    { "diag", AID_DIAG },
    { "net_bt_admin", AID_NET_BT_ADMIN },
    { "net_bt", AID_NET_BT },
    { "inet", AID_INET },
    { "net_raw", AID_NET_RAW },
    { "net_admin", AID_NET_ADMIN },
    { "net_bw_stats", AID_NET_BW_STATS },
    { "net_bw_acct", AID_NET_BW_ACCT },
    { "net_bt_stack", AID_NET_BT_STACK },
    { "misc", AID_MISC },
    { "nobody", AID_NOBODY },
    { "shared_relro", AID_SHARED_RELRO },
};

#define android_id_count \
    (sizeof(android_ids) / sizeof(android_ids[0]))

